{% extends '::base.html.twig'%}
{% block body %}
<h2>Liste des clients</h2>
<table id="datatable" class="table table-striped table-bordered">
  <thead>
    <tr>
      <th>Nom</th>
      <th>Code</th>
      <th>Telephone</th>
      <th>Email</th>
      <th>Numero abonne</th>
      <th>Mode</th>
      <th>Action</th>
    </tr>
  </thead>
  <tbody>
    {% for c in clients %}
    <tr>
      <td>{{c.nom}}</td>
      <td>{{c.codeRegroupement}}</td>
      <td>{{c.telephone}}</td>
      <td>{{c.email}}</td>
      <td>{{c.numeroAbonne}}</td>
      <td>
        {% if c.modePaiement == 'taux'%}
        Taux ({{c.taux}}%)
        {% else %}
        Cash
        {% endif %}
      </td>
      <td>
        {% if is_granted('ROLE_ADMIN')%}
        <a href="#" class="btn btn-success btn-xs"><i class="fa fa-eye"></i> Detail </a>
        <a href="#" class="btn btn-primary btn-xs"><i class="fa fa-folder"></i> Factures </a>
        <a href="{{path('admin_edit_client', {'id': c.id})}}" class="btn btn-info btn-xs"><i class="fa fa-pencil"></i> Modifier </a>
        <a href="{{path('admin_delete_client', {'id': c.id})}}" class="btn btn-danger btn-xs"><i class="fa fa-trash-o"></i> Supprimer </a>
        <ul class="nav nav-pills" role="tablist">

          <li role="presentation" class="dropdown">
            <a id="drop6" href="#" class="dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" role="button" aria-expanded="false">
              Compteur
              <span class="caret"></span>
            </a>
            <ul id="menu3" class="dropdown-menu animated fadeInDown" role="menu" aria-labelledby="drop6">
              <li role="presentation"><a role="menuitem" tabindex="-1" href="{{path('admin_add_compteur', {'id': c.id})}}">Ajouter</a>
              </li>
              <li role="presentation" class="divider"></li>
              <li role="presentation"><a role="menuitem" tabindex="-1" href="{{path('admin_upload_compteur', {'id': c.id})}}">Charger</a>
              <li role="presentation" class="divider"></li>
              <li role="presentation"><a role="menuitem" tabindex="-1" href="{{path('admin_compteurs', {'id': c.id})}}">Liste</a>
              </li>
            </ul>
          </li>
        </ul>
        {% endif %}
      </td>
    </tr>
    {% endfor %}

  </tbody>
</table>
{% endblock %}
